<?php 
//关闭错误提醒
error_reporting(0);

Define('PM_CALL',true);
//核心函数库
//防止恶意调用
if(!defined('PM_CALL')){
		exit('Access Denied(拒绝访问)!');
	}

//创建数据库链接
function _connect(){
	global $conn;//设置全局变量 让此变量在函数外部也能访问
	if(!$conn = @mysql_connect(DB_HOST,DB_USER,DB_PASSWORD)){
		exit('数据库链接失败');
	}
}

//选择一款数据库
function _select_db(){
	//选择一款数据库
	if(!mysql_select_db(DB_NAME)){
		exit('找不到指定数据库');
	}
}

//选择字符集不能使用UTF-8 如果插入中文报错，那么可以设置gb2312
function _set_names(){
	if(!mysql_query('SET NAMES utf8')){
		exit ('字符集错误');
	}
}

//执行SQL语句 而且还返回结果集$_result
function _query($_sql){
	if(!$_result = mysql_query($_sql)){
		exit (mysql_error());
	}
	return $_result;//返回结果集
}
//将结果集返回一个数组 专门处理一条数据组的，用于提取单条数据
function _fetch_array($_sql){
	return mysql_fetch_array(_query($_sql),MYSQL_ASSOC);	
}



//判断用户是否和数据里有重复
function _is_repeat($_sql,$_info){
	if (_fetch_array($_sql)){
		_alert_back($_info);
	}
}
//判断用户是否和数据里有重复
function _if_repeat($_sql,$_info){
	if (_fetch_array($_sql)){
		
	}else{
		_alert_back($_info);
	}
}

//关闭数据库
function _close(){
	//关闭数据库
	if (!mysql_close()){
		exit ('出现异常错误');	
	}
}

//清楚session
//function _session_destroy(){
//	session_destroy();
//}

//引入公共类
include dirname(__FILE__).('/../includes/public.class.php');

//将IP写入SESSION
session_start();
$_SESSION['LogIP'] = getIP();
?>
